org.apache.ignite.internal.visor.verify

## Class VisorIdleVerifyTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.verify.VisorIdleVerifyTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  VisorIdleVerifyDumpTaskArg

    public class VisorIdleVerifyTaskArg
    extends VisorDataTransferObject

Arguments for task `VisorIdleVerifyTask`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorIdleVerifyTaskArg()` Default constructor.
`VisorIdleVerifyTaskArg(Set<String> caches)`
`VisorIdleVerifyTaskArg(Set<String> caches, boolean checkCrc)`
`VisorIdleVerifyTaskArg(Set<String> caches, Set<String> excludeCaches, boolean skipZeros, CacheFilterEnum cacheFilterEnum, boolean checkCrc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheFilterEnum` `cacheFilterEnum()`
`protected void` `cacheFilterEnum(CacheFilterEnum cacheFilterEnum)`
`Set<String>` `caches()`
`boolean` `checkCrc()`
`protected void` `checkCrc(boolean checkCrc)`
`Set<String>` `excludeCaches()`
`protected void` `excludeCaches(Set<String> excludeCaches)`
`byte` `getProtocolVersion()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`boolean` `skipZeros()`
`protected void` `skipZeros(boolean skipZeros)`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorIdleVerifyTaskArg

    public VisorIdleVerifyTaskArg()

Default constructor.

#### VisorIdleVerifyTaskArg

    public VisorIdleVerifyTaskArg(Set<String> caches,
                                  Set<String> excludeCaches,
                                  boolean skipZeros,
                                  CacheFilterEnum cacheFilterEnum,
                                  boolean checkCrc)

Parameters:
  `caches` - Caches.
  `excludeCaches` - Exclude caches or group.
  `skipZeros` - Skip zeros partitions.
  `cacheFilterEnum` - Cache kind, require non null.
  `checkCrc` - Check CRC sum on stored pages on disk.

#### VisorIdleVerifyTaskArg

    public VisorIdleVerifyTaskArg(Set<String> caches,
                                  boolean checkCrc)

Parameters:
  `caches` - Caches.
  `checkCrc` - Check CRC sum on stored pages on disk.

#### VisorIdleVerifyTaskArg

    public VisorIdleVerifyTaskArg(Set<String> caches)

Parameters:
  `caches` - Caches.

### Method Detail

#### checkCrc

    public boolean checkCrc()

#### caches

    public Set<String> caches()

Returns:
  Caches.

#### excludeCaches

    public Set<String> excludeCaches()

Returns:
  Exclude caches or groups.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### excludeCaches

    protected void excludeCaches(Set<String> excludeCaches)

#### checkCrc

    protected void checkCrc(boolean checkCrc)

#### skipZeros

    public boolean skipZeros()

Returns:
  Skip zeros partitions.

#### skipZeros

    protected void skipZeros(boolean skipZeros)

#### cacheFilterEnum

    protected void cacheFilterEnum(CacheFilterEnum cacheFilterEnum)

#### cacheFilterEnum

    public CacheFilterEnum cacheFilterEnum()

Returns:
  Kind fo cache.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020